For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assertions

Retrieve creation methods for a batch of assertions

get
Required scopes
This endpoint requires the following scopes:
  • : Read badge classes and assertions in your issuers
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Query parameters
idsstring[] · min: 1 · max: 100Required

IDs or entity IDs of the assertions or credentials.

Responses
200

OK

application/json
get
/v2/assertions/creation-methods

Revoke multiple Assertions

post
Required scopes
This endpoint requires the following scopes:
  • : Award badges and update your issuers
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Bodyobject[]
codestring · nullableRead-onlyOptional

Error code if assertion could not be revoked

entityIdstring · nullableOptional

Entity ID of the Assertion to revoke

Example: i9CirfwJTuSfiqg0FFUBdQ
idstring · nullableOptional

ID of the Assertion to revoke

Example: 62aa04adf5afe00d0a6dac72
reasonstring · nullableRead-onlyOptional

Error reason if assertion could not be revoked

revocationReasonstringRequired

Short description of why the Assertion is being revoked

Example: Course was cancelled
revokedboolean · nullableRead-onlyOptional
Responses
200

OK

codestring · nullableRead-onlyOptional

Error code if assertion could not be revoked

entityIdstring · nullableOptional

Entity ID of the Assertion to revoke

Example: i9CirfwJTuSfiqg0FFUBdQ
idstring · nullableOptional

ID of the Assertion to revoke

Example: 62aa04adf5afe00d0a6dac72
reasonstring · nullableRead-onlyOptional

Error reason if assertion could not be revoked

revocationReasonstringRequired

Short description of why the Assertion is being revoked

Example: Course was cancelled
revokedboolean · nullableRead-onlyOptional
post
/v2/assertions/revoke

Revoke an Assertion

delete
Required scopes
This endpoint requires the following scopes:
  • : Award badges and update your issuers
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Path parameters
idOrEntityIdstringRequired
Body
revocation_reasonstringOptional
Responses
200

OK

errorCodestring · nullableOptional
latestTermsVersioninteger · int32 · nullableOptional
nonFieldErrorsstring[]Required
timestampstring · date-time · nullableOptional
validationErrorsstring[]Required
delete
/v2/assertions/{idOrEntityId}

Get a single Assertion

get
Required scopes
This endpoint requires the following scopes:
  • : Award badges and update your issuers
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Path parameters
idOrEntityIdstringRequired
Responses
200

OK

errorCodestring · nullableOptional
latestTermsVersioninteger · int32 · nullableOptional
nonFieldErrorsstring[]Required
timestampstring · date-time · nullableOptional
validationErrorsstring[]Required
get
/v2/assertions/{idOrEntityId}

Update an Assertion

put
Required scopes
This endpoint requires the following scopes:
  • : Award badges and update your issuers
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Path parameters
idOrEntityIdstringRequired
Body
expiresstring · date-time · nullableOptional
issuedOnstring · date-time · nullableOptional

Timestamp when the assertion was issued

narrativestring · nullableOptional

Markdown narrative of the achievement

Responses
200

OK

errorCodestring · nullableOptional
latestTermsVersioninteger · int32 · nullableOptional
nonFieldErrorsstring[]Required
timestampstring · date-time · nullableOptional
validationErrorsstring[]Required
put
/v2/assertions/{idOrEntityId}

Get list of Assertions for the specified scope

get
Required scopes
This endpoint requires the following scopes:
  • : Award badges and update your issuers
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Path parameters
scopestring · enumRequiredPossible values:
idOrEntityIdstringRequired
Query parameters
recipientstringOptional

A recipient identifier to filter by

numinteger · int32Optional

Request pagination of results, before/after cursors may be provided in response header

include_expiredbooleanOptionalDefault: false
include_revokedbooleanOptionalDefault: false
afterstringOptional

Pagination cursor provided in "Link" response header

beforestringOptional

Pagination cursor provided in "Link" response header

Responses
200

List of Assertions

errorCodestring · nullableOptional
latestTermsVersioninteger · int32 · nullableOptional
nonFieldErrorsstring[]Required
timestampstring · date-time · nullableOptional
validationErrorsstring[]Required
get
/v2/{scope}/{idOrEntityId}/assertions

Issue a new Assertion to a recipient

post
Required scopes
This endpoint requires the following scopes:
  • : Award badges and update your issuers
Authorizations
OAuth2authorizationCodeRequired

OAuth2 authorizationCode flow is currently not functional on the Swagger UI.

Authorization URL: Token URL:
Path parameters
scopestring · enumRequiredPossible values:
idOrEntityIdstringRequired

The entity ID of the selected scope entity

Example: K829IK8RS6ercwkpeFOn-Q
Body

Request to award an assertion. When request scope is issuers, one of badgeclass or badgeclassOpenBadgeId must be provided.

allowDuplicateAwardsbooleanOptional

If set to false and the recipient already has this assertion, then the request will fail

badgeclassstring · nullableOptional

ID or Entity ID of the badge class to be awarded

Example: K829IK8RS6ercwkpeFOn-Q
badgeclassOpenBadgeIdstring · uri · nullableOptional

OB URL of the badge class to be awarded

Example: https://api.badgr.io/public/badges/K829IK8RS6ercwkpeFOn-Q
expiresstring · date-time · nullableOptional
issuedOnstring · date-time · nullableOptional

Timestamp when the assertion was issued

narrativestring · nullableOptional

Markdown narrative of the achievement

Responses
post
/v2/{scope}/{idOrEntityId}/assertions

Last updated

Was this helpful?